> ## Documentation Index
> Fetch the complete documentation index at: https://docs.givebutter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a ticket



## OpenAPI

````yaml https://givebutter.com/docs/api.json get /v1/tickets/{ticket}
openapi: 3.1.0
info:
  title: Givebutter API Documentation
  version: 1.0.0
  description: >-
    Givebutter Public API - Access and manage your campaigns, contacts,
    transactions, and more.
servers:
  - url: https://api.givebutter.com/
security:
  - http: []
paths:
  /v1/tickets/{ticket}:
    get:
      tags:
        - Tickets
      summary: Get a ticket
      operationId: tickets.show
      parameters:
        - name: ticket
          in: path
          required: true
          description: The ticket uid
          schema:
            type:
              - string
              - 'null'
      responses:
        '200':
          description: '`TicketResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TicketResource'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    TicketResource:
      type: object
      properties:
        id:
          type: string
        id_suffix:
          type: string
        transaction_id:
          type: string
        name:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        email:
          type: string
        phone:
          type: string
        title:
          type: string
        description:
          type: string
        price:
          type: number
        pdf:
          type: string
        checked_in_at:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        retail_price:
          type:
            - string
            - 'null'
      required:
        - id
        - id_suffix
        - transaction_id
        - name
        - first_name
        - last_name
        - email
        - phone
        - title
        - description
        - price
        - pdf
        - checked_in_at
        - created_at
        - updated_at
        - retail_price
      title: TicketResource
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````